/* JavaSwitch-1.0	By: Jason Hiatt
 * This creates the port that JavaSwitch will listen on.
 * Whenever a client connects a thread will be created for
 * "TheBridge" class.
 */ 

import java.net.*;
import java.io.*;

public class JavaSwitch{
    public static void main(String[] args) throws IOException {

		ServerSocket serverSocket = null;
		boolean listening = true;
		int threads = 0;

		try{
    		serverSocket = new ServerSocket(80);
    	}//End Try
		catch (IOException e){
    		System.err.println("Could not listen on port:80");
    	    System.exit(-1);
		}//End Catch

		while (listening){
			threads++;
			new TheBridge(serverSocket.accept(), threads).start();
		}//End While
		serverSocket.close();
		threads--;

    }//End Main

}//End JavaSwitch
